Temporal networks offer valuable insights into dynamic complex systems, capturing the evolving nature of social, biological, and technological interactions. Community structure is a critical feature of real networks, revealing the internal organization of nodes. Dynamic community detection algorithms uncover strongly connected node groups, unveiling hidden temporal patterns and community dynamics in temporal networks. 

However, evaluating the performance of these algorithms remains a challenge. A well-established method is to use tests that rely on synthetic graphs. Yet, this approach does not suit temporal networks with instantaneous edges and continuous time domains, known as link streams. To address this gap, we propose a novel benchmark comprising predefined communities that simulate synthetic modular link streams. 


``mosaic-benchmark`` is a library for creating modular link streams for testing dynamic community detection algorithms in complex temporal networks: it creates communities, visualises them and exports the network to csv files.


## Citation
If you use our algorithm, please cite the following works:

> paper
## Dependencies

Mosaic is written in Python and requires the following package to run:

* python>=3.8

* Pandas

* tqdm

* Numpy

* Matplotlib

* itertools

## Tutorial
Check out the official [tutorial](https://yasasgari.github.io/Mosaic-benchmark/) to get started!